Subject: Re: too low cpu usage
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 7 Sep 2001 10:22:57 +0200

[email-masked] schrieb am 2001-09-06, 21:15:

>Hola!

Hallo!

>I've just installed cygwin for a development that i need to do in windows
>and cannot get my programs to use more than 50% of CPU time.
>
>Administrator@IVC ~
>$ uname -a
>CYGWIN_NT-5.0 IVC 1.3.2(0.39/3/2) 2001-05-20 23:28 i686 unknown

$ uname -a
CYGWIN_NT-4.0 LORELEY 1.3.3s(0.44/3/2) 2001-09-04 23:55 i686 unknown

>Administrator@IVC ~
>$ cat a.c
>main()
>{
>while(1);
>}
>
>Administrator@IVC ~
>$ ./a.exe
>
>and in the task manager it gets:
>
>image name         CPU
>a.exe               50
>System Idle Proc    50
>
>(rest of the processes are at 0)

It works for me, 

a.exe		99%
idle		01%

[...]
>Some help? I need to run some CPU intensive processes and I don't like the
>idea of having to get a box twice as fast to do the some work...

Do you run NT-Server or NT-Professional?
Anyway, there is a key in the registry which tunes up the PC for
background processes, it is called 'LargeSystemCache'
Start 'regedit' lookup these keys in registry and set them to '0'
unless they are already '0'. (They are defined twice or more in different
Control Sets).

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/